Vue.component('follow-list', {
	template: `<ul class="consultation-list">
				<li class="consultation-list-item" @click="viewDetail(1)" v-for="(list,index) in eduList">
					<p class="follow-up-doctor">{{list.attachedTitle}}</p>
					<div class="follow-user-info leave-word-container">
						<span class="follow-status" :data-status="list.status" desc="1进行2结束"></span>
						<p class="leave-word">医生留言:{{list.leaveWords?list.leaveWords:"无留言信息"}}</p>
					</div>
				</li>
			</ul>`,
	data: function() {
		return {
			eduList: "",
			curPage:1
		}
	},
	props:["eduData"],
	methods: {
		viewDetail: function(id) {
			top.layer.open({
		      type: 2,
		      maxmin: true,
		      title: '健康教育文章详情',
		      area: ['1000px', '650px'],
		      shadeClose: true,
		      moveOut:true,
		      btn:'返回',
		      success: function(layero){
				layero.find('.layui-layer-btn').css({'text-align': 'center','border-top': '1px solid #ececec','padding-top': '7.5px'});
				layero.find('.layui-layer-btn').find('a').addClass("layui-btn").css({background: '#f96565',color: '#fff',width: '100px',border: 'none', height: '34px','line-height':'22px',padding: '6px 12px','font-size': '14px'});
			  },
		      content: '../html/lay_gui_article_detail.html'
		    });
		}
	},
	watch:{
		eduData:function(val){
			this.eduList=this.eduData;
		}
	},
	mounted: function() {
		this.$emit('init-data', this.curPage);
	}
})